Bug 683588 - Enhancement: Provide method to reset expired password (PAM)
Enhancement: Provide method to reset expired password (PAM)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 14:17 EST by Brian C. Huffman
Modified: 2012-08-16 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian C. Huffman 2011-03-09 14:17:33 EST
Description of problem:
If password expires while screen is locked, gnome-screensaver ignores the PAM_NEW_AUTHTOK_REQD return from pam and goes ahead and allows the user to login.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.30.2-2.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Lock screen
2. Use some method through PAM to expire password
3. Attempt to unlock screen
  
Actual results:
Unlocks using old password.  No mention of expiry.

Expected results:
Recognizes password expiry and prompts to reset password

Additional info:
Comment 1 Brian C. Huffman 2011-04-28 10:34:22 EDT
I have created a patch and added to the upstream bug tracking system:
https://bugzilla.gnome.org/show_bug.cgi?id=648875
Comment 2 Fedora Admin XMLRPC Client 2011-06-21 11:57:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2012-08-16 11:31:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.